OpenTTD Source: ICUParagraphLayout Class Reference

OpenTTD Source 15.0-RC2

Data Structures | Public Member Functions | Private Attributes
ICUParagraphLayout Class Reference

Wrapper for doing layouts with ICU. More...

Inheritance diagram for ICUParagraphLayout:

## Data Structures
class | ICULine
| A single line worth of VisualRuns. More...
class | ICUVisualRun
| Visual run contains data about the bit of text with the same font. More...

## Public Member Functions
| ICUParagraphLayout (std::vector< ICURun > &&runs, UChar *buff, size_t buff_length)
void | Reflow () override
std::unique_ptr< const Line > | NextLine (int max_width) override

## Private Attributes
std::vector< ICURun > | runs
UChar * | buff
size_t | buff_length
std::vector< ICURun >::iterator | current_run
int | partial_offset

## Detailed Description

Wrapper for doing layouts with ICU.

Definition at line 59 of file gfx_layout_icu.cpp.

## Constructor & Destructor Documentation

## ◆ ICUParagraphLayout()

ICUParagraphLayout::ICUParagraphLayout | ( | std::vector< ICURun > && | runs,
|  | UChar * | buff,
|  | size_t | buff_length
| ) |  |
| inline

Definition at line 107 of file gfx_layout_icu.cpp.

## ◆ ~ICUParagraphLayout()

ICUParagraphLayout::~ICUParagraphLayout | ( |  | ) |
| inlineoverride

Definition at line 112 of file gfx_layout_icu.cpp.

## Member Function Documentation

## ◆ NextLine()

std::unique_ptr< const ICUParagraphLayout::Line > ICUParagraphLayout::NextLine | ( | int | max_width | ) |
| overridevirtual

Implements ParagraphLayouter.

Definition at line 404 of file gfx_layout_icu.cpp.

## ◆ Reflow()

void ICUParagraphLayout::Reflow | ( |  | ) |
| inlineoverridevirtual

Implements ParagraphLayouter.

Definition at line 114 of file gfx_layout_icu.cpp.

## Field Documentation

## ◆ buff

UChar* ICUParagraphLayout::buff
| private

Definition at line 101 of file gfx_layout_icu.cpp.

## ◆ buff_length

size_t ICUParagraphLayout::buff_length
| private

Definition at line 102 of file gfx_layout_icu.cpp.

## ◆ current_run

std::vector<ICURun>::iterator ICUParagraphLayout::current_run
| private

Definition at line 103 of file gfx_layout_icu.cpp.

## ◆ partial_offset

int ICUParagraphLayout::partial_offset
| private

Definition at line 104 of file gfx_layout_icu.cpp.

## ◆ runs

std::vector<ICURun> ICUParagraphLayout::runs
| private

Definition at line 100 of file gfx_layout_icu.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout_icu.cpp